Update build for OpenSSL-1.0.0a.
[dragonfly.git] / secure / Makefile
1 # $FreeBSD: src/secure/Makefile,v 1.16.2.1 2002/07/25 09:33:13 ru Exp $
2 # $DragonFly: src/secure/Makefile,v 1.3 2004/01/31 06:56:41 dillon Exp $
3
4 # lib must be first, or it will not work.  This is because we reference
5 # the lib's in the directory where they are built from the binaries we
6 # want to build.
7
8 SUBDIR= lib libexec usr.bin usr.sbin
9
10 SDIR= ${.CURDIR}/..
11
12 CODAI=  ${MAKE} ${MFLAGS} cleandir; \
13         ${MAKE} ${MFLAGS} obj; \
14         ${MAKE} ${MFLAGS} depend all install
15
16 # These are the programs which depend on secure libs
17 sprog:
18         cd ${SDIR}/bin/ed; ${CODAI}
19         cd ${SDIR}/sbin/init; ${CODAI}
20
21 bootstrap:
22         ( cd include; ${MAKE} ${MFLAGS} install )
23         ( cd lib; ${MAKE} ${MFLAGS} depend all install )
24         ${MAKE} ${MFLAGS} cleandir
25         ${MAKE} ${MFLAGS} obj
26         ${MAKE} ${MFLAGS} depend all install sprog
27
28 .include <bsd.subdir.mk>